/***************************************************************************
                     dsdirselectdialog.h  -  description
                             -------------------
    begin                : Sat Jan 03 2004
    copyright            : (C) 2004 by Dominik Seichter
    email                : domseichter@web.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef DSDIRSELECTDIALOG_H
#define DSDIRSELECTDIALOG_H

#include <kdirselectdialog.h>

class QCheckBox;
class QLabel;
class KComboBox;

/* A small helper class to allow layout changes in KDirSelectDialog */
class DSDirSelectDialog : public KDirSelectDialog {
    Q_OBJECT
    public:
        enum { MODE_FILES, MODE_DIRS };

        DSDirSelectDialog( int mode, QString lastpath, QWidget* parent );

        bool recursively() const;
        bool hidden() const;
        bool dirs() const;
        void setRecursively( bool b );
        QString filter() const;

    private slots:
        void enableControls();

    private:
        QCheckBox* check;
        QCheckBox* checkHidden;
        QCheckBox* checkDir;
        KComboBox* mfilter;
        QLabel* label;
};

#endif
